Package ghidra.util.datastruct

# Class ObjectLongHashtable<T>

java.lang.Object
ghidra.util.datastruct.ObjectLongHashtable<T>

public class ObjectLongHashtable<T> extends Object
Class that implements a hashtable with Object keys and long values.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectLongHashtable()`
  Default constructor creates a table with an initial default capacity.
  `ObjectLongHashtable(int capacity)`
  Constructor creates a table with an initial given capacity.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `contains(Object key)`
  Return true if the given key is in the hashtable.
  `long`
  `get(T key)`
  Returns the value for the given key.
  `T[]`
  `getKeys(T[] keyArray)`
  Returns an array containing all the key objects.
  `void`
  `put(T key, long value)`
  Adds a key/value pair to the hashtable.
  `boolean`
  `remove(Object key)`
  Removes a key from the hashtable
  `void`
  `removeAll()`
  Remove all entries from the hashtable.
  `int`
  `size()`
  Return the number of key/value pairs stored in the hashtable.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectLongHashtable

    public ObjectLongHashtable()
    Default constructor creates a table with an initial default capacity.

  - ### ObjectLongHashtable

    public ObjectLongHashtable(int capacity)
    Constructor creates a table with an initial given capacity. The capacity will be adjusted to the next highest prime in the PRIMES table.
    Parameters:
      `capacity` - the initial capacity.

- ## Method Details

  - ### put

    public void put(T key, long value)
    Adds a key/value pair to the hashtable. If the key is already in the table, the old value is replaced with the new value. If the hashtable is already full, the hashtable will attempt to approximately double in size (it will use a prime number), and all the current entries will be rehashed.
    Parameters:
      `key` - the key to associate with the given value.
      `value` - the value to associate with the given key.
    Throws:
      `ArrayIndexOutOfBoundsException` - thrown if the maximum capacity is reached.

  - ### get

    public long get(T key) throws NoValueException
    Returns the value for the given key.
    Parameters:
      `key` - the key whose associated value is to be returned.
    Throws:
      `NoValueException` - thrown if there is no value for the given key.

  - ### remove

    public boolean remove(Object key)
    Removes a key from the hashtable
    Parameters:
      `key` - key to be removed from the hashtable.
    Returns:
      true if key is found and removed, false otherwise.

  - ### removeAll

    public void removeAll()
    Remove all entries from the hashtable.

  - ### contains

    public boolean contains(Object key)
    Return true if the given key is in the hashtable.
    Parameters:
      `key` - the key whose presence in this map is to be tested.

  - ### size

    public int size()
    Return the number of key/value pairs stored in the hashtable.

  - ### getKeys

    public T[] getKeys(T[] keyArray)
    Returns an array containing all the key objects.